{% extends 'baseDashboard.html.twig' %}

{% block title %}Mon profil
{% endblock %}

{% block stylesheets %}
	<style>
		.icon-wrapper {
			cursor: pointer;
			font-size: 24px; /* Adjust size as needed */
			color: #000; /* Adjust color as needed */
		}
		#profile_image_save {
			display: none; /* Hidden initially */
		}
	</style>
{% endblock %}

{% block body %}


	<div class="tap-top">
		<i data-feather="chevrons-up"></i>
	</div>
	<!-- tap on tap ends-->

	<!-- page-wrapper Start-->
	<div class="page-wrapper compact-wrapper" id="pageWrapper">

		{% include 'dashboard/includes/_header.html.twig' %}
		<!-- Page Body Start-->
		<div
			class="page-body-wrapper">
			<!-- Page Sidebar Start-->
			{% include 'dashboard/includes/_sidebar.html.twig' %}
			<!-- Page Sidebar Ends-->
			<div
				class="page-body">
				<!-- Container-fluid starts-->
				<div class="container-fluid">
					<div class="user-profile">
						<div
							class="row">
							<!-- user profile first-style start-->
							<div class="col-sm-12">
								<div class="card hovercard text-center">
									<div class="cardheader"></div>
									<div class="user-image">
										<div class="avatar">
											{% if app.user.profilImage %}
												<img src="{{ asset('uploads/usersprofil/' ~ app.user.profilImage) }}" alt="Profile Image" id="preview">
											{% else %}
												<img src="{{ asset('uploads/usersprofil/default/default.jpg') }}" alt="Default Profile Image" id="preview">
											{% endif %}

										</div>
										<!-- Icon for triggering file input -->
										<div class="icon-wrapper" onclick="document.getElementById('profile_image_profilImage').click();">
											<i class="icofont icofont-pencil-alt-5"></i>
										</div>
									</div>

									<div class="mt-5">
                  {{ form_start(ProfileImageForm ,{'action': path('app_dashboard_profil_image')}) }}
                    {{ form_widget(ProfileImageForm.profilImage) }}
                    <div class="row">
                    
                        <div class="col-sm-12 col-lg-12 d-flex justify-content-center mt-3">
                            {{ form_widget(ProfileImageForm.save, {'attr': {'class': 'btn btn-pill btn-outline-dark'}}) }}
                        </div>

                         {# Affichage des erreurs pour le champ profilImage #}
                            {% if ProfileImageForm.profilImage.vars.errors %}
                                <ul class="errors">
                                    {% for error in ProfileImageForm.profilImage.vars.errors %}
                                        <li class="text-danger">{{ error.message }}</li>
                                    {% endfor %}
                                </ul>
                            {% endif %}
                        
                    </div>
                {{ form_end(ProfileImageForm) }}
									{#	<form
											method="post" enctype="multipart/form-data" action="{{path('app_dashboard_profil_image')}}">
											<!-- File input hidden -->
											<input
											type="file" id="profilImage" name="profilImage" accept="image/*" style="display: none;" onchange="showUploadButton(); updateImageDisplay();">
											<!-- Button to submit form -->
											<div class="row">
												<div class="col-sm-12 col-lg-12 d-flex  justify-content-center ">
													<button class="btn btn-pill btn-outline-info" type="submit" id="profile_image_save">Valider le Changement de la photo</button>
												</div>
											</div>
										</form>#}
									</div>
									<div class="info">
										<div class="row">
											<div class="col-sm-6 col-lg-4 order-sm-1 order-xl-0">
												<div
													class="row justify-content-center">
													{#<div class="col-md-6">
													                              <div class="ttl-info text-start">
													                                <h6><i class="fa fa-envelope"></i> Email</h6><span>{{app.user.email}}</span>
													                              </div>
													                            </div>#}
													<div class="col-md-6">
														<div class="ttl-info text-center">
															<h6>
																<i class="fa fa-calendar"></i>Dernière connexions</h6>
															<span>{{ app.user.lastLogin|format_datetime(pattern="dd MMMM yyyy 'à' HH:mm", locale='fr_FR'|capitalize ) }}</span>
														</div>
													</div>
												</div>
											</div>
											<div class="col-sm-12 col-lg-4 order-sm-0 order-xl-1">
												<div class="user-designation">
													<div class="title">
														<a target="_blank" href="">{{app.user.lastName}}
															{{app.user.firstName}}</a>
													</div>
													<div class="">compte créer le  :
														{{ app.user.createdAt|format_datetime(pattern="dd MMMM yyyy 'à' HH:mm", locale='fr_FR'|capitalize ) }}
													</div>
												</div>
											</div>
											<div class="col-sm-6 col-lg-4 order-sm-2 order-xl-2">
												<div class="row">
													<div class="col-md-6">
														<div class="ttl-info text-center">
															<h6>
																<i class="fa fa-envelope"></i>Email
															</h6>
															<span>{{app.user.email}}</span>
														</div>
													</div>

												</div>
											</div>
										</div>
										<hr>
										<div class="">
											<div class="btn-group btn-group">
												<a class="btn btn-pill  btn-dark  btn-sm" href="{{path('app_dashboard_profil_update')}}">
													<i class="fa fa-edit"></i>
													Modifier le profil</a>
											</div>
										</div>

										<div class="mt-4">

											<div class="btn-group btn-group">
												<a class="btn btn-primary btn-sm btn-pill " href="{{path('app_dashboard_profil_change_paswword')}}">
													<i class="fa fa-pencil"></i>
													Modifier le mot de passe</a>
											</div>


										</div>
										{#  <div class="social-media">
										                        <ul class="list-inline">
										                          <li class="list-inline-item"><a href="https://www.facebook.com/" target="_blank"><i class="fa fa-facebook"></i></a></li>
										                          <li class="list-inline-item"><a href="https://accounts.google.com/" target="_blank"><i class="fa fa-google-plus"></i></a></li>
										                          <li class="list-inline-item"><a href="https://twitter.com/" target="_blank"><i class="fa fa-twitter"></i></a></li>
										                          <li class="list-inline-item"><a href="https://www.instagram.com/" target="_blank"><i class="fa fa-instagram"></i></a></li>
										                          <li class="list-inline-item"><a href="https://rss.app/" target="_blank"><i class="fa fa-rss"></i></a></li>
										                        </ul>
										                      </div>
										                      <div class="follow">
										                        <div class="row">
										                          <div class="col-6 text-md-end border-right">
										                            <div class="follow-num counter">25869</div><span>Follower</span>
										                          </div>
										                          <div class="col-6 text-md-start">
										                            <div class="follow-num counter">659887</div><span>Following</span>
										                          </div>
										                        </div>
										                      </div>#}
									</div>
								</div>
							</div>
							<!-- user profile first-style end-->


							<div class="col-sm-12">
								<div class="card">
									<div class="profile-img-style">
										<div class="row">
											<div class="col-sm-8">
												<div class="d-flex">

													<div class="flex-grow-1 align-self-center">
														<h5 class="mt-0 user-name">Informations du profil</h5>
													</div>
												</div>
											</div>
											<div class="col-sm-4 align-self-center">
												<div class="float-sm-end">
													<small>Status  :
														<span class="text-success">
															Actif</span>
													</small>
												</div>
											</div>
										</div>
										<hr>

										<ul>
											<li>Nom :
												{% if app.user.lastName %}
													{{ app.user.lastName }}
												{% else %}
													Non renseigné
												{% endif %}
	
											</li>
											<hr>
											<li>Prénom  :
												{% if app.user.firstName %}
													{{ app.user.firstName }}
												{% else %}
													Non renseigné
												{% endif %}
					
											</li>
											<hr>
											<li>Email :
												{{app.user.email}}
											</li>
											<hr>
											<li>Numéro de téléphone :
												{% if app.user.phoneNumber %}
													{{ app.user.phoneNumber }}
												{% else %}
													Non renseigné
												{% endif %}
												{{app.user.phoneNumber}}

											</li>
											<hr>
											<li>Pays :
												{% if app.user.country %}
													{{ app.user.country }}
												{% else %}
													Non renseigné
												{% endif %}
												{{app.user.country}}
											</li>
											<hr>
											<li>Date de création du compte :
												{{app.user.createdAt|format_datetime(pattern="dd MMMM yyyy 'à' HH:mm", locale='fr_FR'|capitalize) }}
											</li>


										</ul>

									</div>
								</div>
							</div>


						</div>
					</div>
				</div>
				<!-- Container-fluid Ends-->
			</div>


			<!-- footer start-->
			{% include 'dashboard/includes/_footer.html.twig' %}
		</div>
	</div>
	<!-- latest jquery-->


{% endblock %}

{% block javascriptsCustom  %}
	<script> 


		function showUploadButton() {
          var fileInput = document.getElementById('profile_image_profilImage');
          var uploadBtn = document.getElementById('profile_image_save');
          if (fileInput.files.length > 0) {
          uploadBtn.style.display = 'block'; // Show the upload button
          }
          }
          function updateImageDisplay() {
          var preview = document.getElementById('preview');
          var fileInput = document.getElementById('profile_image_profilImage');
          var file = fileInput.files[0];

          if (file) {
          var reader = new FileReader();

          reader.onload = function (e) {
          preview.src = e.target.result;
          // preview.style.display = 'block';
          };

          reader.readAsDataURL(file);
          }
          }
	</script>

{% endblock %}
